#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin >> n >> m;
    int tezine[n][2];
    int l,r,x;
    int zbir = 0;
    for(int i = 0;i<n;i++)
    {
        for(int j = 0;j<2;j++)
        {
            cin >> tezine[i][j];
        }
    }
    for(int i = 0;i<m;i++)
    {
        cin >> l >> r >> x;
        for(int j = l-1;j<r;j++)
        {
            if(x >= tezine[j][0] && x <= tezine[j][1])
            {
                zbir++;
            }
        }
        cout << zbir <<'\n';
        zbir = 0;
    }
}